import request from '/@/utils/request';

/**
 * @summary 获取测点组列表
 */
export const GetLogicalTreeListByBelongTypeAndBelongID = async (params) => {
	return request({
		url: '/Monitor/Record/Real/Vibration/Logic/GetLogicalTreeListByBelongTypeAndBelongID@V1.0',
		method: 'GET',
		params: params,
	});
};
/**
 * @summary 获取设备列表
 */
export const GetEquipmentLogicalTreeListByBelongTypeAndBelongID = async (params) => {
	return request({
		url: '/Monitor/Record/Real/Vibration/Logic/GetEquipmentLogicalTreeListByBelongTypeAndBelongID@V1.0',
		method: 'GET',
		params: params,
	});
};
/**
 * @summary 根据测点列表或者信号下拉选择
 */
export const GetSimpleSignalListByMonitorPointID = async (params) => {
	return request({
		url: '/Monitor/Record/Real/Vibration/Logic/GetSimpleSignalListByMonitorPointID@V1.0',
		method: 'GET',
		params: params,
	});
};
/**
 * @summary
 */
export const GetLimitBySignalIDOfTimeRange = async (params) => {
	return request({
		url: '/Monitor/Record/Real/Std/GetLimitBySignalIDOfTimeRange@V2.0',
		method: 'GET',
		params: params,
	});
};
/**
 * @summary 波形图
 */
export const GetWaveSpectrumByMonitorPointIDOfTime = async (params) => {
	return request({
		url: '/Monitor/Record/Real/Vibration/Logic/GetWaveSpectrumByMonitorPointIDOfTime@V1.0',
		method: 'GET',
		params: params,
	});
};

/**
 * @summary 频谱图
 */
export const GetFrequencySpectrumByMonitorPointIDOfTime = async (params) => {
	return request({
		url: '/Monitor/Record/Real/Vibration/Logic/GetFrequencySpectrumByMonitorPointIDOfTime@V1.0',
		method: 'GET',
		params: params,
	});
};

/**
 * @summary 波形频谱图
 */
export const GetWaveAndFrequencySpectrumByMonitorPointIDOfTime = async (params) => {
	return request({
		url: '/Monitor/Record/Real/Vibration/Logic/GetWaveAndFrequencySpectrumByMonitorPointIDOfTime@V1.0',
		method: 'GET',
		params: params,
	});
};

/**
 * @summary 故障频率分析
 */
export const GetDegreeFrequencySpectrumByMonitorPointIDOfTime = async (params) => {
	return request({
		url: '/Monitor/Record/Real/Vibration/Logic/GetDegreeFrequencySpectrumByMonitorPointIDOfTime@V1.0',
		method: 'GET',
		params: params,
	});
};
